Summary:	Subtitle editor for the GNOME desktop
Name:		gnome-subtitles
Version:	1.3
Release:	%mkrel 7
License:	GPLv2+
Group:		Video/Editors and Converters
URL:		http://gnome-subtitles.sourceforge.net/
Source:		http://downloads.sourceforge.net/%name/%name-%version.tar.gz
Patch0:		gnome-subtitles-1.3-mcs.patch
BuildRequires:	pkgconfig(gconf-sharp-2.0) >= 2.12
BuildRequires:	pkgconfig(glade-sharp-2.0)
BuildRequires:	pkgconfig(gstreamer-plugins-base-1.0) >= 1.0
BuildRequires:	pkgconfig(gstreamer-video-1.0) >= 1.0
BuildRequires:	pkgconfig(gtk+-2.0) >= 2.12
BuildRequires:	pkgconfig(gtk-sharp-2.0) > 2.12.6
BuildRequires:	pkgconfig(mono) >= 1.1
BuildRequires:	gnome-doc-utils
BuildRequires:	mono-devel
BuildRequires:	imagemagick
BuildRequires:	intltool >= 0.35.0
BuildRequires:	gtk-doc

Recommends:	gstreamer1.0-decoders

%description
Gnome Subtitles is a subtitle editor for the GNOME desktop. It
supports the most common text-based subtitle formats and allows for
subtitle editing, translation and synchronization.

%prep
%setup -q
%autopatch -p1

%build
%configure2_5x --disable-schemas-install
make

%install
%make_install

%find_lang --with-gnome %{name}

install -d -m755 %{buildroot}{%{_iconsdir},%{_liconsdir},%{_miconsdir}}
convert data/%{name}.svg -resize 48x48 %{buildroot}%{_liconsdir}/%{name}.png
convert data/%{name}.svg -resize 32x32 %{buildroot}%{_iconsdir}/%{name}.png
convert data/%{name}.svg -resize 16x16 %{buildroot}%{_miconsdir}/%{name}.png

find %{buildroot} -name '*.la' -delete

%preun
%preun_uninstall_gconf_schemas %{name}

%files -f %{name}.lang
%doc AUTHORS NEWS
%{_sysconfdir}/gconf/schemas/%{name}.schemas
%{_bindir}/%{name}
%{_libdir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.svg
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_mandir}/man1/%{name}.1*
%dir %{_datadir}/omf/%{name}
# TODO: add omf handling into find_lang.pl:
%{_datadir}/omf/%{name}/%{name}-C.omf
%lang(ca) %{_datadir}/omf/%{name}/%{name}-ca.omf
%lang(de) %{_datadir}/omf/%{name}/%{name}-de.omf
%lang(sv) %{_datadir}/omf/%{name}/%{name}-sv.omf
%lang(el) %{_datadir}/omf/%{name}/%{name}-el.omf
%lang(es) %{_datadir}/omf/%{name}/%{name}-es.omf
%lang(oc) %{_datadir}/omf/%{name}/%{name}-oc.omf
%lang(fr) %{_datadir}/omf/%{name}/%{name}-fr.omf
%lang(cs) %{_datadir}/omf/%{name}/%{name}-cs.omf
%lang(ro) %{_datadir}/omf/%{name}/%{name}-ro.omf
%lang(sl) %{_datadir}/omf/%{name}/%{name}-sl.omf
%lang(da) %{_datadir}/omf/%{name}/%{name}-da.omf


%changelog
* Mon Apr 11 2016 daviddavid <daviddavid> 1.3-7.mga6
+ Revision: 1000437
- add patch from fedora to fix build with mono4 >= 4.2.3

* Sat Jan 30 2016 umeabot <umeabot> 1.3-6.mga6
+ Revision: 929076
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.3-5.mga5
+ Revision: 749309
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.3-4.mga5
+ Revision: 679772
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Wed Jun 25 2014 ovitters <ovitters> 1.3-3.mga5
+ Revision: 639615
- remove la files

* Sat Oct 19 2013 umeabot <umeabot> 1.3-2.mga4
+ Revision: 523901
- Mageia 4 Mass Rebuild

* Sun May 26 2013 fwang <fwang> 1.3-1.mga4
+ Revision: 427896
- update file list
- disable schema installation
- update filename
- try build correctly
- fix br
- update br
- new version 1.3

* Mon Jan 21 2013 barjac <barjac> 1.2-3.mga3
+ Revision: 390619
- update group
- clean spec

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Aug 24 2011 fwang <fwang> 1.2-1.mga2
+ Revision: 135083
- new version 1.2

  + anssi <anssi>
    - imported package gnome-subtitles


* Thu Nov 25 2010 Funda Wang <fwang@mandriva.org> 1.1-1mdv2011.0
+ Revision: 600923
- new version 1.1

* Sat Feb 20 2010 Funda Wang <fwang@mandriva.org> 1.0-1mdv2010.1
+ Revision: 508717
- new version 1.0

* Sun Jul 19 2009 Funda Wang <fwang@mandriva.org> 0.9.1-1mdv2010.0
+ Revision: 397413
- new version 0.9.1

* Mon Jun 22 2009 Funda Wang <fwang@mandriva.org> 0.9-1mdv2010.0
+ Revision: 387997
- add tarball
- New version 0.9

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

* Fri Aug 22 2008 Funda Wang <fwang@mandriva.org> 0.8-2mdv2009.0
+ Revision: 275024
- rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas
    - adapt to %%_localstatedir now being /var instead of /var/lib (#22312)

* Wed May 14 2008 Funda Wang <fwang@mandriva.org> 0.8-1mdv2009.0
+ Revision: 207020
- fix file list
- BR sublib
- BR gladesharp
- BR devel packages
- New version 0.8

* Sun Jan 27 2008 Funda Wang <fwang@mandriva.org> 0.7.2-1mdv2008.1
+ Revision: 158562
- New version 0.7.2

* Fri Jan 25 2008 Anssi Hannula <anssi@mandriva.org> 0.7.1-2mdv2008.1
+ Revision: 158068
- disable parallel build
- suggests gstreamer0.10-decoders instead of mplayer

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Dec 16 2007 Funda Wang <fwang@mandriva.org> 0.7.1-1mdv2008.1
+ Revision: 120572
- add missing omf files
- BR gstreamer-base
- BR gstreamer
- New version 0.7.1

* Sat Oct 27 2007 Anssi Hannula <anssi@mandriva.org> 0.6-3mdv2008.1
+ Revision: 102669
- fixes for backportability

* Tue Oct 16 2007 Anssi Hannula <anssi@mandriva.org> 0.6-2mdv2008.1
+ Revision: 99172
- buildrequire ImageMagick for backportability

* Tue Oct 16 2007 Anssi Hannula <anssi@mandriva.org> 0.6-1mdv2008.1
+ Revision: 99094
- initial Mandriva release

